% Initialization

handles.Def_Im_Name = 'Start_Image_n.png';  % default image to be displayed
                                            % when the figure has nothing to show
imshow(handles.Def_Im_Name)


%%%%%%%%%
% default values
%%%%%%%%%%%%%%%%%%%%%%
handles.Gauss_var   = 1;
handles.Lap_b       = 1.41;
handles.MassProb    = 0.6;  % Mass probability for x=0
handles.Pois_G_var  = 1;
handles.Pois_Lap_b  = 1.41;
handles.Pois_Stud_q = 0.5;
handles.Stud_q      = 0.5;
handles.Stable_alph = 1;
        % --- %
handles.SS_length   = 100;  % length of the simulated signal
handles.Noise_Var   = 1.5;  % AWGN variance for single signal generation
        % --- %
handles.AnimLambda  = 1;    % regularization coefficient for animation
        % --- %
handles.LMMSELambda = 1;    % regularization coefficient for LMSSE method
handles.LogLambda   = 1;    % regularization coefficient for log cost
handles.L1Lambda    = 1;    % regularization coefficient for L1 method
        % --- %
handles.NumRealz    = 100;  % number of realizations to be averaged for performance comparison 
handles.AWGN_varL   = 0.01; % least AWGN variance used for performance comparison
handles.AWGN_varU   = 1;    % highest AWGN variance used for performance comparison
handles.Cmpltd_Perc = 0;    % completed percentage of the performance comparison
handles.Cmpr_state  = 0;    % state of the comparison task,     0: at rest  1: running
        % --- %
handles.delta       = 1;    % This is a parametere in log minimization ( log(x^2 + delta^2) ) 



%%%%%%%%%
% default selections
%%%%%%%%%%%%%%%%%%%%%%
handles.Dist_Sel    = 1;    % 1: Gaussian, 2: Laplace, 3: Poisson , 4: Student's-t, 5: alpha-stable
handles.P_Dist_Sel  = 1;    % Poisson distribution for the amplitude
handles.Prior_Type  = 1;    % 1: simple process     2: Compound Poisson
handles.Operator    = 1;    % Integration order (e.g., 1 implies Levy)
handles.AnimMethod  = 1;    % Method used for denoising animation (1: MMSE, 2: LMMSE, 3: log, 4: L1)
handles.MethodEn    = [0 0 0 0];    % Enable/Disable flags for the methods: MMSE, LMMSE, Log and L1


handles.Dist_Param  = 1;    % Distribution parameter (e.g., variance)



%%%%%%%%%
% default flags
%%%%%%%%%%%%%%%%%%%%%%
handles.SigGenerated= 0;
handles.SigGen_En   = 1;
handles.SigDenoised = 0;
